
-- CORE, IQ

-- library

require 'lm'

-- public

iq = { }

function iq.send ( conn, to, smtype, data, success, fail )
	data.mtype = 'iq-' .. smtype
	data.to    = to
	conn:send ( lm.message.create ( data ),
		function ( conn, mess )
			local mtype, smtype = mess:type ()
			if smtype == 'result' then
				success ( mess )
			elseif smtype == 'error' then
				fail ( mess:child( 'error' ):children():name () ) -- FIXME
			else
				fail ( mess:xml () )
				return false
			end
			return true
		end )
end

-- vim: se ts=4: --
